#!/bin/sh
# Script to change the order of certificate
# related commands.

ca_cmds=`grep caAdd /var/teamf1.cfg.ascii`
csr_cmds=`grep csrAdd /var/teamf1.cfg.ascii`
cert_cmds=`grep certAdd /var/teamf1.cfg.ascii`

[ `expr length "$ca_cmds"` -gt 0 -o `expr length "$csr_cmds"` -gt 0 \
-o `expr length "$cert_cmds"` -gt 0 ] || exit

sed '/caAdd/d' /var/teamf1.cfg.ascii > /tmp/t1
sed '/csrAdd/d' /tmp/t1 > /tmp/t2
sed '/certAdd/d' /tmp/t2 > /tmp/t3
ckhsumString=`grep "#CheckSum" /tmp/t3`
sed "s/$ckhsumString/#CheckSum = 0x00000000/" /tmp/t3 > /tmp/t4

mv /tmp/t4 /var/teamf1.cfg.ascii

[ `expr length "$ca_cmds"` -gt 0 ] && \
echo "$ca_cmds" >> /var/teamf1.cfg.ascii
[ `expr length "$csr_cmds"` -gt 0 ] && \
echo "$csr_cmds" >> /var/teamf1.cfg.ascii
[ `expr length "$cert_cmds"` -gt 0 ] && \
echo "$cert_cmds" >> /var/teamf1.cfg.ascii

rm -f /tmp/t1 /tmp/t2 /tmp/t3
